program idea;
 var m:array [1..10] of integer; // задаю массив состоящий из 10 переменных (!не массив из цифр 1 - 10!)
     i:integer;
  begin
   WriteLn(m); //вывожу эти 10 переменных. изначально, как и все переменные, они равны нулю
   m[2]:=2;    //второй переменной в массиве [2] присваиваю цифру 2 
   WriteLn(m); // снова вывожу этот массив, и вторая переменная равна 2
  end.